# Uses of Class
com.ngrok.definitions.EndpointBackend

Packages that use EndpointBackend
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointBackend in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type EndpointBackend
  Modifier and Type
  Method
  Description
  `Optional<EndpointBackend>`
  HttpsEdgeRoute.`getBackend()`
  backend module configuration or `null`
  `Optional<EndpointBackend>`
  TcpEdge.`getBackend()`
  edge modules
  `Optional<EndpointBackend>`
  TlsEdge.`getBackend()`
  edge modules
  Constructor parameters in com.ngrok.definitions with type arguments of type EndpointBackend
  Modifier
  Constructor
  Description
  ``
  `HttpsEdgeRoute(String edgeId, String id, OffsetDateTime createdAt, String matchType, String match, URI uri, String description, String metadata, Optional<EndpointBackend> backend, Optional<EndpointIpPolicy> ipRestriction, Optional<EndpointCircuitBreaker> circuitBreaker, Optional<EndpointCompression> compression, Optional<EndpointRequestHeaders> requestHeaders, Optional<EndpointResponseHeaders> responseHeaders, Optional<EndpointWebhookValidation> webhookVerification, Optional<EndpointOAuth> oauth, Optional<EndpointSaml> saml, Optional<EndpointOidc> oidc, Optional<EndpointWebsocketTcpConverter> websocketTcpConverter)`
  Creates a new instance of `HttpsEdgeRoute`.

- ## Uses of EndpointBackend in com.ngrok.services

  Methods in com.ngrok.services that return EndpointBackend
  Modifier and Type
  Method
  Description
  `EndpointBackend`
  EdgeRouteBackendModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointBackend`
  EdgeRouteBackendModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointBackend`
  TcpEdgeBackendModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointBackend`
  TcpEdgeBackendModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointBackend`
  TlsEdgeBackendModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointBackend`
  TlsEdgeBackendModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointBackend
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointBackend>`
  EdgeRouteBackendModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointBackend>`
  EdgeRouteBackendModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointBackend>`
  TcpEdgeBackendModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointBackend>`
  TcpEdgeBackendModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointBackend>`
  TlsEdgeBackendModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointBackend>`
  TlsEdgeBackendModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.